FolksDummy.FullPersona.update_email_addresses – folks-dummy Reference Manual

# update_email_addresses

## Description:

public void update_email_addresses (Set<EmailFieldDetails> email_addresses)

Update persona's e-mail addresses.

This simulates a backing-store-side update of the persona's Folks.EmailDetails.email_addresses property. It is intended to be used for testing code which consumes this property. If the property value changes, this results in a property change notification on the persona.

## Parameters:

email_addresses | persona's new e-mail addresses

## Since:

0.9.7